> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List audit trail events for a task.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/task/audits
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/task/audits:
    post:
      tags:
        - Task
      summary: List
      description: List audit trail events for a task.
      operationId: c1.api.task.v1.TaskAudit.List
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/c1.api.task.v1.TaskAuditListRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.task.v1.TaskAuditListResponse'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.TaskAudit.List(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.TaskAuditListResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.taskAudit.list();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.task.v1.TaskAuditListRequest:
      description: The TaskAuditListRequest message.
      properties:
        pageSize:
          description: The maximum number of audit events to return per page.
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: >-
            A pagination token from a previous response to retrieve the next
            page.
          readOnly: false
          type: string
        refs:
          description: >-
            References to specific audit events to retrieve. If provided, only
            these events are returned.
          items:
            $ref: '#/components/schemas/c1.api.task.v1.TaskAuditViewRef'
          nullable: true
          readOnly: false
          type: array
        taskId:
          description: The ID of the task to list audit events for.
          readOnly: false
          type: string
      title: Task Audit List Request
      type: object
      x-speakeasy-name-override: TaskAuditListRequest
    c1.api.task.v1.TaskAuditListResponse:
      description: The TaskAuditListResponse message.
      properties:
        list:
          description: The list of audit events for the task.
          items:
            $ref: '#/components/schemas/c1.api.task.v1.TaskAuditView'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: A pagination token to retrieve the next page of results.
          readOnly: false
          type: string
      title: Task Audit List Response
      type: object
      x-speakeasy-name-override: TaskAuditListResponse
    c1.api.task.v1.TaskAuditViewRef:
      description: The TaskAuditViewRef message.
      properties:
        id:
          description: The ID of the audit event.
          readOnly: false
          type: string
      title: Task Audit View Ref
      type: object
      x-speakeasy-name-override: TaskAuditViewRef
    c1.api.task.v1.TaskAuditView:
      description: >
        The TaskAuditView message.


        This message contains a oneof named typ. Only a single field of the
        following list may be set at a time:
          - comment
          - stateChange
          - approvalInstanceChange
          - connectorActionsStart
          - connectorActionsEnd
          - actionResult
          - taskCreated
          - certifyOutcome
          - actionSubmitted
          - grantOutcome
          - revokeOutcome
          - approvalReassigned
          - taskRestarted
          - accessRequestOutcome
          - provisionReassigned
          - provisionError
          - approvedAutomatically
          - reassignedToDelegate
          - hardReset
          - taskEscalated
          - conditionalPolicyExecutionResult
          - expressionPolicyStepError
          - approvalAutoAcceptedByPolicy
          - approvalAutoRejectedByPolicy
          - bulkActionError
          - webhookTriggered
          - webhookAttempt
          - webhookSuccess
          - policyEvaluationStep
          - waitStepSuccess
          - waitStepWaiting
          - waitStepTimedOut
          - webhookApprovalTriggered
          - webhookApprovalAttempt
          - webhookApprovalSuccess
          - webhookApprovalBadResponse
          - externalTicketTriggered
          - externalTicketCreated
          - externalTicketError
          - waitStepAnalysisSuccess
          - waitStepAnalysisWaiting
          - waitStepAnalysisTimedOut
          - stepUpApproval
          - externalTicketProvisionStepResolved
          - stepSkipped
          - reassignmentListError
          - slaEscalation
          - policyChanged
          - formInstanceChange
          - grantDurationUpdated
          - waitStepUntilTime
          - webhookApprovalFatalError
          - accountLifecycleActionCreated
          - accountLifecycleActionFailed
          - provisionCancelled
          - actionInstanceCreated
          - actionInstanceSucceeded
          - actionInstanceFailed
          - createdReplacementExtensionGrantTask
          - taskCreatedFrom
          - reassignmentFallbackToAdmin
      properties:
        accessRequestOutcome:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditAccessRequestOutcome'
        accountLifecycleActionCreated:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditAccountLifecycleActionCreated
        accountLifecycleActionFailed:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditAccountLifecycleActionFailed
        actionInstanceCreated:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditActionInstanceCreated'
        actionInstanceFailed:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditActionInstanceFailed'
        actionInstanceSucceeded:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditActionInstanceSucceeded'
        actionResult:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditConnectorActionResult'
        actionSubmitted:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditActionSubmitted'
        approvalAutoAcceptedByPolicy:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditApprovalAutoAcceptedByPolicy
        approvalAutoRejectedByPolicy:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditApprovalAutoRejectedByPolicy
        approvalInstanceChange:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditApprovalInstanceChange'
        approvalReassigned:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditPolicyApprovalReassigned
        approvedAutomatically:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditApprovalHappenedAutomatically
        bulkActionError:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditBulkActionError'
        certifyOutcome:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditCertifyOutcome'
        comment:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditComment'
        conditionalPolicyExecutionResult:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditConditionalPolicyExecutionResult
        connectorActionsEnd:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditFinishedConnectorActions
        connectorActionsStart:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditStartedConnectorActions'
        created:
          format: date-time
          readOnly: false
          type: string
        createdReplacementExtensionGrantTask:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditCreatedReplacementExtensionGrantTask
        currentState:
          description: The currentState field.
          enum:
            - TASK_STATE_UNSPECIFIED
            - TASK_STATE_OPEN
            - TASK_STATE_CLOSED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        eventType:
          description: The eventType field.
          enum:
            - TASK_AUDIT_EVENT_TYPE_UNSPECIFIED
            - TASK_AUDIT_EVENT_TYPE_NEUTRAL
            - TASK_AUDIT_EVENT_TYPE_ERROR
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        expressionPolicyStepError:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditExpressionPolicyStepError
        externalTicketCreated:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditExternalTicketCreated'
        externalTicketError:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditExternalTicketError'
        externalTicketProvisionStepResolved:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditExternalTicketProvisionStepResolved
        externalTicketTriggered:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditExternalTicketTriggered'
        formInstanceChange:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditFormInstanceChange'
        grantDurationUpdated:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditGrantDurationUpdated'
        grantOutcome:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditGrantOutcome'
        hardReset:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditHardReset'
        id:
          description: The id field.
          readOnly: false
          type: string
        metadata:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditMetaData'
        policyChanged:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditPolicyChanged'
        policyEvaluationStep:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditPolicyEvaluationStep'
        provisionCancelled:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditPolicyProvisionCancelled
        provisionError:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditPolicyProvisionError'
        provisionReassigned:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditPolicyProvisionReassigned
        reassignedToDelegate:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditReassignedToDelegate'
        reassignmentFallbackToAdmin:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditReassignmentFallbackToAdmin
        reassignmentListError:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditReassignmentListError'
        revokeOutcome:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditRevokeOutcome'
        slaEscalation:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditSLAEscalation'
        source:
          description: The source field.
          enum:
            - SOURCE_UNSPECIFIED
            - SOURCE_C1
            - SOURCE_JIRA
            - SOURCE_SLACK
            - SOURCE_COPILOT_AGENTS
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        stateChange:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditStateChange'
        stepSkipped:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditStepSkipped'
        stepUpApproval:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditStepUpApproval'
        taskCreated:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditNewTask'
        taskCreatedFrom:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditNewTaskCreatedFrom'
        taskEscalated:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditEscalateToEmergencyAccess
        taskRestarted:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditRestart'
        ticketId:
          description: The ticketId field.
          readOnly: false
          type: string
        userId:
          description: The userId field.
          readOnly: false
          type: string
        waitStepAnalysisSuccess:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditWaitForAnalysisStepSuccess
        waitStepAnalysisTimedOut:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditWaitForAnalysisStepTimedOut
        waitStepAnalysisWaiting:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditWaitForAnalysisStepWaiting
        waitStepSuccess:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepSuccess'
        waitStepTimedOut:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepTimedOut'
        waitStepUntilTime:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepUntilTime'
        waitStepWaiting:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWaitStepWaiting'
        webhookApprovalAttempt:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalAttempt'
        webhookApprovalBadResponse:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalBadResponse
        webhookApprovalFatalError:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalFatalError
        webhookApprovalSuccess:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalSuccess'
        webhookApprovalTriggered:
          $ref: >-
            #/components/schemas/c1.api.task.v1.TaskAuditWebhookApprovalTriggered
        webhookAttempt:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookAttempt'
        webhookSuccess:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookSuccess'
        webhookTriggered:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAuditWebhookTriggered'
        workflowStep:
          description: The workflowStep field.
          format: int32
          readOnly: false
          type: integer
      title: Task Audit View
      type: object
      x-speakeasy-name-override: TaskAuditView
    c1.api.task.v1.TaskAuditAccessRequestOutcome:
      description: The TaskAuditAccessRequestOutcome message.
      nullable: true
      properties:
        outcome:
          description: The outcome field.
          enum:
            - ACCESS_REQUEST_OUTCOME_UNSPECIFIED
            - ACCESS_REQUEST_OUTCOME_APPROVED
            - ACCESS_REQUEST_OUTCOME_DENIED
            - ACCESS_REQUEST_OUTCOME_ERROR
            - ACCESS_REQUEST_OUTCOME_CANCELLED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Task Audit Access Request Outcome
      type: object
      x-speakeasy-name-override: TaskAuditAccessRequestOutcome
    c1.api.task.v1.TaskAuditAccountLifecycleActionCreated:
      description: The TaskAuditAccountLifecycleActionCreated message.
      nullable: true
      properties:
        batonActionDisplayName:
          description: The batonActionDisplayName field.
          readOnly: false
          type: string
        batonActionInvocationId:
          description: The batonActionInvocationId field.
          readOnly: false
          type: string
        batonActionName:
          description: The batonActionName field.
          readOnly: false
          type: string
        batonAppId:
          description: The batonAppId field.
          readOnly: false
          type: string
        batonConnectorId:
          description: The batonConnectorId field.
          readOnly: false
          type: string
      title: Task Audit Account Lifecycle Action Created
      type: object
      x-speakeasy-name-override: TaskAuditAccountLifecycleActionCreated
    c1.api.task.v1.TaskAuditAccountLifecycleActionFailed:
      description: The TaskAuditAccountLifecycleActionFailed message.
      nullable: true
      properties:
        batonActionDisplayName:
          description: The batonActionDisplayName field.
          readOnly: false
          type: string
        batonActionInvocationId:
          description: The batonActionInvocationId field.
          readOnly: false
          type: string
        batonActionName:
          description: The batonActionName field.
          readOnly: false
          type: string
        batonAppId:
          description: The batonAppId field.
          readOnly: false
          type: string
        batonConnectorId:
          description: The batonConnectorId field.
          readOnly: false
          type: string
        error:
          description: The error field.
          readOnly: false
          type: string
      title: Task Audit Account Lifecycle Action Failed
      type: object
      x-speakeasy-name-override: TaskAuditAccountLifecycleActionFailed
    c1.api.task.v1.TaskAuditActionInstanceCreated:
      description: The TaskAuditActionInstanceCreated message.
      nullable: true
      properties:
        instance:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionInstance'
      title: Task Audit Action Instance Created
      type: object
      x-speakeasy-name-override: TaskAuditActionInstanceCreated
    c1.api.task.v1.TaskAuditActionInstanceFailed:
      description: The TaskAuditActionInstanceFailed message.
      nullable: true
      properties:
        instance:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionInstance'
      title: Task Audit Action Instance Failed
      type: object
      x-speakeasy-name-override: TaskAuditActionInstanceFailed
    c1.api.task.v1.TaskAuditActionInstanceSucceeded:
      description: The TaskAuditActionInstanceSucceeded message.
      nullable: true
      properties:
        instance:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionInstance'
      title: Task Audit Action Instance Succeeded
      type: object
      x-speakeasy-name-override: TaskAuditActionInstanceSucceeded
    c1.api.task.v1.TaskAuditConnectorActionResult:
      description: >
        The TaskAuditConnectorActionResult message.


        This message contains a oneof named result. Only a single field of the
        following list may be set at a time:
          - success
          - error
          - cancelled
          - pending
      nullable: true
      properties:
        appEntitlementId:
          description: The appEntitlementId field.
          readOnly: false
          type: string
        appId:
          description: The appId field.
          readOnly: false
          type: string
        cancelled:
          $ref: '#/components/schemas/c1.api.app.v1.TaskAuditCancelledResult'
        connectorActionId:
          description: The connectorActionId field.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId field.
          readOnly: false
          type: string
        error:
          $ref: '#/components/schemas/c1.api.app.v1.TaskAuditErrorResult'
        pending:
          $ref: '#/components/schemas/c1.api.app.v1.TaskAuditPendingResult'
        success:
          $ref: '#/components/schemas/c1.api.app.v1.TaskAuditSuccessResult'
      title: Task Audit Connector Action Result
      type: object
      x-speakeasy-name-override: TaskAuditConnectorActionResult
    c1.api.task.v1.TaskAuditActionSubmitted:
      description: The TaskAuditActionSubmitted message.
      nullable: true
      properties:
        action:
          $ref: '#/components/schemas/c1.api.task.v1.TaskAction'
      title: Task Audit Action Submitted
      type: object
      x-speakeasy-name-override: TaskAuditActionSubmitted
    c1.api.task.v1.TaskAuditApprovalAutoAcceptedByPolicy:
      description: The TaskAuditApprovalAutoAcceptedByPolicy message.
      nullable: true
      title: Task Audit Approval Auto Accepted By Policy
      type: object
      x-speakeasy-name-override: TaskAuditApprovalAutoAcceptedByPolicy
    c1.api.task.v1.TaskAuditApprovalAutoRejectedByPolicy:
      description: The TaskAuditApprovalAutoRejectedByPolicy message.
      nullable: true
      title: Task Audit Approval Auto Rejected By Policy
      type: object
      x-speakeasy-name-override: TaskAuditApprovalAutoRejectedByPolicy
    c1.api.task.v1.TaskAuditApprovalInstanceChange:
      description: The TaskAuditApprovalInstanceChange message.
      nullable: true
      properties:
        instance:
          $ref: '#/components/schemas/c1.api.policy.v1.ApprovalInstance'
      title: Task Audit Approval Instance Change
      type: object
      x-speakeasy-name-override: TaskAuditApprovalInstanceChange
    c1.api.task.v1.TaskAuditPolicyApprovalReassigned:
      description: The TaskAuditPolicyApprovalReassigned message.
      nullable: true
      properties:
        newPolicyStepId:
          description: The newPolicyStepId field.
          readOnly: false
          type: string
        newUsers:
          description: The newUsers field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          readOnly: false
          type: string
        users:
          description: The users field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.User'
          nullable: true
          readOnly: false
          type: array
      title: Task Audit Policy Approval Reassigned
      type: object
      x-speakeasy-name-override: TaskAuditPolicyApprovalReassigned
    c1.api.task.v1.TaskAuditApprovalHappenedAutomatically:
      description: The TaskAuditApprovalHappenedAutomatically message.
      nullable: true
      title: Task Audit Approval Happened Automatically
      type: object
      x-speakeasy-name-override: TaskAuditApprovalHappenedAutomatically
    c1.api.task.v1.TaskAuditBulkActionError:
      description: The TaskAuditBulkActionError message.
      nullable: true
      properties:
        error:
          description: The error field.
          readOnly: false
          type: string
      title: Task Audit Bulk Action Error
      type: object
      x-speakeasy-name-override: TaskAuditBulkActionError
    c1.api.task.v1.TaskAuditCertifyOutcome:
      description: The TaskAuditCertifyOutcome message.
      nullable: true
      properties:
        outcome:
          description: The outcome field.
          enum:
            - CERTIFY_OUTCOME_UNSPECIFIED
            - CERTIFY_OUTCOME_CERTIFIED
            - CERTIFY_OUTCOME_DECERTIFIED
            - CERTIFY_OUTCOME_ERROR
            - CERTIFY_OUTCOME_CANCELLED
            - CERTIFY_OUTCOME_WAIT_TIMED_OUT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Task Audit Certify Outcome
      type: object
      x-speakeasy-name-override: TaskAuditCertifyOutcome
    c1.api.task.v1.TaskAuditComment:
      description: The TaskAuditComment message.
      nullable: true
      properties:
        comment:
          description: The comment field.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: false
          type: string
        updatedBy:
          description: The updatedBy field.
          readOnly: false
          type: string
      title: Task Audit Comment
      type: object
      x-speakeasy-name-override: TaskAuditComment
    c1.api.task.v1.TaskAuditConditionalPolicyExecutionResult:
      description: The TaskAuditConditionalPolicyExecutionResult message.
      nullable: true
      properties:
        condition:
          description: The condition field.
          readOnly: false
          type: string
        conditionMatched:
          description: The conditionMatched field.
          readOnly: false
          type: boolean
        defaultCondition:
          description: The defaultCondition field.
          readOnly: false
          type: boolean
        error:
          description: The error field.
          readOnly: false
          type: string
        policyKey:
          description: The policyKey field.
          readOnly: false
          type: string
      title: Task Audit Conditional Policy Execution Result
      type: object
      x-speakeasy-name-override: TaskAuditConditionalPolicyExecutionResult
    c1.api.task.v1.TaskAuditFinishedConnectorActions:
      description: The TaskAuditFinishedConnectorActions message.
      nullable: true
      properties:
        policyStepId:
          description: The policyStepId field.
          readOnly: false
          type: string
      title: Task Audit Finished Connector Actions
      type: object
      x-speakeasy-name-override: TaskAuditFinishedConnectorActions
    c1.api.task.v1.TaskAuditStartedConnectorActions:
      description: The TaskAuditStartedConnectorActions message.
      nullable: true
      properties:
        policyStepId:
          description: The policyStepId field.
          readOnly: false
          type: string
      title: Task Audit Started Connector Actions
      type: object
      x-speakeasy-name-override: TaskAuditStartedConnectorActions
    c1.api.task.v1.TaskAuditCreatedReplacementExtensionGrantTask:
      description: >-
        TaskAuditCreatedReplacementExtensionGrantTask is used when a replacement
        extension grant task is created
         (e.g. when an extension grant task is cancelled due to app user deletion).
      nullable: true
      properties:
        newTaskId:
          description: The ID of the newly created replacement task
          readOnly: false
          type: string
        newTaskNumericId:
          description: The numeric ID of the newly created replacement task (for display)
          format: int64
          readOnly: false
          type: string
      title: Task Audit Created Replacement Extension Grant Task
      type: object
      x-speakeasy-name-override: TaskAuditCreatedReplacementExtensionGrantTask
    c1.api.task.v1.TaskAuditExpressionPolicyStepError:
      description: The TaskAuditExpressionPolicyStepError message.
      nullable: true
      properties:
        error:
          description: The error field.
          readOnly: false
          type: string
      title: Task Audit Expression Policy Step Error
      type: object
      x-speakeasy-name-override: TaskAuditExpressionPolicyStepError
    c1.api.task.v1.TaskAuditExternalTicketCreated:
      description: The TaskAuditExternalTicketCreated message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId field.
          readOnly: false
          type: string
        externalTicketId:
          description: The externalTicketId field.
          readOnly: false
          type: string
        externalTicketProvisionerConfigId:
          description: The externalTicketProvisionerConfigId field.
          readOnly: false
          type: string
        externalTicketProvisionerConfigName:
          description: The externalTicketProvisionerConfigName field.
          readOnly: false
          type: string
        externalTicketUrl:
          description: The externalTicketUrl field.
          readOnly: false
          type: string
      title: Task Audit External Ticket Created
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketCreated
    c1.api.task.v1.TaskAuditExternalTicketError:
      description: The TaskAuditExternalTicketError message.
      nullable: true
      properties:
        errorMessage:
          description: The errorMessage field.
          readOnly: false
          type: string
      title: Task Audit External Ticket Error
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketError
    c1.api.task.v1.TaskAuditExternalTicketProvisionStepResolved:
      description: The TaskAuditExternalTicketProvisionStepResolved message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId field.
          readOnly: false
          type: string
        externalTicketId:
          description: The externalTicketId field.
          readOnly: false
          type: string
        externalTicketProvisionerConfigId:
          description: The externalTicketProvisionerConfigId field.
          readOnly: false
          type: string
        externalTicketUrl:
          description: The externalTicketUrl field.
          readOnly: false
          type: string
      title: Task Audit External Ticket Provision Step Resolved
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketProvisionStepResolved
    c1.api.task.v1.TaskAuditExternalTicketTriggered:
      description: The TaskAuditExternalTicketTriggered message.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId field.
          readOnly: false
          type: string
        externalTicketId:
          description: The externalTicketId field.
          readOnly: false
          type: string
        externalTicketProvisionerConfigId:
          description: The externalTicketProvisionerConfigId field.
          readOnly: false
          type: string
        externalTicketProvisionerConfigName:
          description: The externalTicketProvisionerConfigName field.
          readOnly: false
          type: string
      title: Task Audit External Ticket Triggered
      type: object
      x-speakeasy-name-override: TaskAuditExternalTicketTriggered
    c1.api.task.v1.TaskAuditFormInstanceChange:
      description: The TaskAuditFormInstanceChange message.
      nullable: true
      properties:
        isValid:
          description: The isValid field.
          readOnly: false
          type: boolean
      title: Task Audit Form Instance Change
      type: object
      x-speakeasy-name-override: TaskAuditFormInstanceChange
    c1.api.task.v1.TaskAuditGrantDurationUpdated:
      description: The TaskAuditGrantDurationUpdated message.
      nullable: true
      properties:
        duration:
          format: duration
          readOnly: false
          type: string
      title: Task Audit Grant Duration Updated
      type: object
      x-speakeasy-name-override: TaskAuditGrantDurationUpdated
    c1.api.task.v1.TaskAuditGrantOutcome:
      description: The TaskAuditGrantOutcome message.
      nullable: true
      properties:
        outcome:
          description: The outcome field.
          enum:
            - GRANT_OUTCOME_UNSPECIFIED
            - GRANT_OUTCOME_GRANTED
            - GRANT_OUTCOME_DENIED
            - GRANT_OUTCOME_ERROR
            - GRANT_OUTCOME_CANCELLED
            - GRANT_OUTCOME_WAIT_TIMED_OUT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Task Audit Grant Outcome
      type: object
      x-speakeasy-name-override: TaskAuditGrantOutcome
    c1.api.task.v1.TaskAuditHardReset:
      description: The TaskAuditHardReset message.
      nullable: true
      properties:
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          readOnly: false
          type: string
      title: Task Audit Hard Reset
      type: object
      x-speakeasy-name-override: TaskAuditHardReset
    c1.api.task.v1.TaskAuditMetaData:
      description: The TaskAuditMetaData message.
      properties:
        user:
          $ref: '#/components/schemas/c1.api.user.v1.User'
      title: Task Audit Meta Data
      type: object
      x-speakeasy-name-override: TaskAuditMetaData
    c1.api.task.v1.TaskAuditPolicyChanged:
      description: The TaskAuditPolicyChanged message.
      nullable: true
      properties:
        newPolicyId:
          description: The newPolicyId field.
          readOnly: false
          type: string
        oldPolicyId:
          description: The oldPolicyId field.
          readOnly: false
          type: string
      title: Task Audit Policy Changed
      type: object
      x-speakeasy-name-override: TaskAuditPolicyChanged
    c1.api.task.v1.TaskAuditPolicyEvaluationStep:
      description: The TaskAuditPolicyEvaluationStep message.
      nullable: true
      properties:
        stepComment:
          description: The stepComment field.
          readOnly: false
          type: string
      title: Task Audit Policy Evaluation Step
      type: object
      x-speakeasy-name-override: TaskAuditPolicyEvaluationStep
    c1.api.task.v1.TaskAuditPolicyProvisionCancelled:
      description: The TaskAuditPolicyProvisionCancelled message.
      nullable: true
      properties:
        cancelReason:
          description: The cancelReason field.
          readOnly: false
          type: string
      title: Task Audit Policy Provision Cancelled
      type: object
      x-speakeasy-name-override: TaskAuditPolicyProvisionCancelled
    c1.api.task.v1.TaskAuditPolicyProvisionError:
      description: The TaskAuditPolicyProvisionError message.
      nullable: true
      properties:
        error:
          description: The error field.
          readOnly: false
          type: string
      title: Task Audit Policy Provision Error
      type: object
      x-speakeasy-name-override: TaskAuditPolicyProvisionError
    c1.api.task.v1.TaskAuditPolicyProvisionReassigned:
      description: The TaskAuditPolicyProvisionReassigned message.
      nullable: true
      properties:
        newPolicyStepId:
          description: The newPolicyStepId field.
          readOnly: false
          type: string
        newUsers:
          description: The newUsers field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          readOnly: false
          type: string
        users:
          description: The users field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.User'
          nullable: true
          readOnly: false
          type: array
      title: Task Audit Policy Provision Reassigned
      type: object
      x-speakeasy-name-override: TaskAuditPolicyProvisionReassigned
    c1.api.task.v1.TaskAuditReassignedToDelegate:
      description: The TaskAuditReassignedToDelegate message.
      nullable: true
      properties:
        delegatedAssigneeUser:
          $ref: '#/components/schemas/c1.api.user.v1.User'
        delegatedAssigneeUserId:
          description: The delegatedAssigneeUserId field.
          readOnly: false
          type: string
        originalAssigneeUser:
          $ref: '#/components/schemas/c1.api.user.v1.User'
        originalAssigneeUserId:
          description: The originalAssigneeUserId field.
          readOnly: false
          type: string
      title: Task Audit Reassigned To Delegate
      type: object
      x-speakeasy-name-override: TaskAuditReassignedToDelegate
    c1.api.task.v1.TaskAuditReassignmentFallbackToAdmin:
      description: >-
        TaskAuditReassignmentFallbackToAdmin is used when no eligible reviewers
        are found
         from the policy configuration and the task falls back to system administrators
         without creating a new policy step. This prevents reassignment loops.
      nullable: true
      properties:
        adminUserIds:
          description: >-
            The IDs of the system administrator users that the task is being
            assigned to
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        adminUsers:
          description: The system administrator users (populated for display)
          items:
            $ref: '#/components/schemas/c1.api.user.v1.User'
          nullable: true
          readOnly: false
          type: array
      title: Task Audit Reassignment Fallback To Admin
      type: object
      x-speakeasy-name-override: TaskAuditReassignmentFallbackToAdmin
    c1.api.task.v1.TaskAuditReassignmentListError:
      description: The TaskAuditReassignmentListError message.
      nullable: true
      properties:
        errorMessage:
          description: The errorMessage field.
          readOnly: false
          type: string
      title: Task Audit Reassignment List Error
      type: object
      x-speakeasy-name-override: TaskAuditReassignmentListError
    c1.api.task.v1.TaskAuditRevokeOutcome:
      description: The TaskAuditRevokeOutcome message.
      nullable: true
      properties:
        outcome:
          description: The outcome field.
          enum:
            - REVOKE_OUTCOME_UNSPECIFIED
            - REVOKE_OUTCOME_REVOKED
            - REVOKE_OUTCOME_DENIED
            - REVOKE_OUTCOME_ERROR
            - REVOKE_OUTCOME_CANCELLED
            - REVOKE_OUTCOME_WAIT_TIMED_OUT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Task Audit Revoke Outcome
      type: object
      x-speakeasy-name-override: TaskAuditRevokeOutcome
    c1.api.task.v1.TaskAuditSLAEscalation:
      description: The TaskAuditSLAEscalation message.
      nullable: true
      properties:
        message:
          description: The message field.
          readOnly: false
          type: string
      title: Task Audit Sla Escalation
      type: object
      x-speakeasy-name-override: TaskAuditSLAEscalation
    c1.api.task.v1.TaskAuditStateChange:
      description: The TaskAuditStateChange message.
      nullable: true
      properties:
        previousState:
          description: The previousState field.
          enum:
            - TASK_STATE_UNSPECIFIED
            - TASK_STATE_OPEN
            - TASK_STATE_CLOSED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Task Audit State Change
      type: object
      x-speakeasy-name-override: TaskAuditStateChange
    c1.api.task.v1.TaskAuditStepSkipped:
      description: The TaskAuditStepSkipped message.
      nullable: true
      properties:
        skippedBy:
          description: The skippedBy field.
          readOnly: false
          type: string
      title: Task Audit Step Skipped
      type: object
      x-speakeasy-name-override: TaskAuditStepSkipped
    c1.api.task.v1.TaskAuditStepUpApproval:
      description: The TaskAuditStepUpApproval message.
      nullable: true
      properties:
        stepUpTransactionId:
          description: The stepUpTransactionId field.
          readOnly: false
          type: string
      title: Task Audit Step Up Approval
      type: object
      x-speakeasy-name-override: TaskAuditStepUpApproval
    c1.api.task.v1.TaskAuditNewTask:
      description: The TaskAuditNewTask message.
      nullable: true
      title: Task Audit New Task
      type: object
      x-speakeasy-name-override: TaskAuditNewTask
    c1.api.task.v1.TaskAuditNewTaskCreatedFrom:
      description: >-
        TaskAuditNewTaskCreatedFrom is used when a task is created from another
        task
         (e.g. when a replacement extension grant task is created after the original is cancelled).
         This is set on the NEW task to indicate its origin.
      nullable: true
      properties:
        originalTaskId:
          description: The originalTaskId field.
          readOnly: false
          type: string
        originalTaskNumericId:
          description: The originalTaskNumericId field.
          format: int64
          readOnly: false
          type: string
        originalTaskType:
          description: >-
            The task type of the original task (e.g. "grant", "revoke",
            "certify").
          readOnly: false
          type: string
      title: Task Audit New Task Created From
      type: object
      x-speakeasy-name-override: TaskAuditNewTaskCreatedFrom
    c1.api.task.v1.TaskAuditEscalateToEmergencyAccess:
      description: The TaskAuditEscalateToEmergencyAccess message.
      nullable: true
      properties:
        oldPolicyId:
          description: The oldPolicyId field.
          readOnly: false
          type: string
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          readOnly: false
          type: string
      title: Task Audit Escalate To Emergency Access
      type: object
      x-speakeasy-name-override: TaskAuditEscalateToEmergencyAccess
    c1.api.task.v1.TaskAuditRestart:
      description: The TaskAuditRestart message.
      nullable: true
      properties:
        oldPolicyStepId:
          description: The oldPolicyStepId field.
          readOnly: false
          type: string
      title: Task Audit Restart
      type: object
      x-speakeasy-name-override: TaskAuditRestart
    c1.api.task.v1.TaskAuditWaitForAnalysisStepSuccess:
      description: The TaskAuditWaitForAnalysisStepSuccess message.
      nullable: true
      properties:
        stepId:
          description: The stepId field.
          readOnly: false
          type: string
        succeededAt:
          format: date-time
          readOnly: false
          type: string
      title: Task Audit Wait For Analysis Step Success
      type: object
      x-speakeasy-name-override: TaskAuditWaitForAnalysisStepSuccess
    c1.api.task.v1.TaskAuditWaitForAnalysisStepTimedOut:
      description: The TaskAuditWaitForAnalysisStepTimedOut message.
      nullable: true
      properties:
        stepId:
          description: The stepId field.
          readOnly: false
          type: string
        timedOutAt:
          format: date-time
          readOnly: false
          type: string
      title: Task Audit Wait For Analysis Step Timed Out
      type: object
      x-speakeasy-name-override: TaskAuditWaitForAnalysisStepTimedOut
    c1.api.task.v1.TaskAuditWaitForAnalysisStepWaiting:
      description: The TaskAuditWaitForAnalysisStepWaiting message.
      nullable: true
      properties:
        stepId:
          description: The stepId field.
          readOnly: false
          type: string
      title: Task Audit Wait For Analysis Step Waiting
      type: object
      x-speakeasy-name-override: TaskAuditWaitForAnalysisStepWaiting
    c1.api.task.v1.TaskAuditWaitStepSuccess:
      description: The TaskAuditWaitStepSuccess message.
      nullable: true
      properties:
        condition:
          description: The condition field.
          readOnly: false
          type: string
        stepId:
          description: The stepId field.
          readOnly: false
          type: string
        succeededAt:
          format: date-time
          readOnly: false
          type: string
      title: Task Audit Wait Step Success
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepSuccess
    c1.api.task.v1.TaskAuditWaitStepTimedOut:
      description: The TaskAuditWaitStepTimedOut message.
      nullable: true
      properties:
        condition:
          description: The condition field.
          readOnly: false
          type: string
        stepId:
          description: The stepId field.
          readOnly: false
          type: string
        timedOutAt:
          format: date-time
          readOnly: false
          type: string
      title: Task Audit Wait Step Timed Out
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepTimedOut
    c1.api.task.v1.TaskAuditWaitStepUntilTime:
      description: The TaskAuditWaitStepUntilTime message.
      nullable: true
      properties:
        stepId:
          description: The stepId field.
          readOnly: false
          type: string
        untilTime:
          format: date-time
          readOnly: false
          type: string
      title: Task Audit Wait Step Until Time
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepUntilTime
    c1.api.task.v1.TaskAuditWaitStepWaiting:
      description: The TaskAuditWaitStepWaiting message.
      nullable: true
      properties:
        condition:
          description: The condition field.
          readOnly: false
          type: string
        stepId:
          description: The stepId field.
          readOnly: false
          type: string
      title: Task Audit Wait Step Waiting
      type: object
      x-speakeasy-name-override: TaskAuditWaitStepWaiting
    c1.api.task.v1.TaskAuditWebhookApprovalAttempt:
      description: The TaskAuditWebhookApprovalAttempt message.
      nullable: true
      properties:
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Approval Attempt
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalAttempt
    c1.api.task.v1.TaskAuditWebhookApprovalBadResponse:
      description: The TaskAuditWebhookApprovalBadResponse message.
      nullable: true
      properties:
        error:
          description: The error field.
          readOnly: false
          type: string
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Approval Bad Response
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalBadResponse
    c1.api.task.v1.TaskAuditWebhookApprovalFatalError:
      description: The TaskAuditWebhookApprovalFatalError message.
      nullable: true
      properties:
        error:
          description: The error field.
          readOnly: false
          type: string
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Approval Fatal Error
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalFatalError
    c1.api.task.v1.TaskAuditWebhookApprovalSuccess:
      description: The TaskAuditWebhookApprovalSuccess message.
      nullable: true
      properties:
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Approval Success
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalSuccess
    c1.api.task.v1.TaskAuditWebhookApprovalTriggered:
      description: The TaskAuditWebhookApprovalTriggered message.
      nullable: true
      properties:
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Approval Triggered
      type: object
      x-speakeasy-name-override: TaskAuditWebhookApprovalTriggered
    c1.api.task.v1.TaskAuditWebhookAttempt:
      description: The TaskAuditWebhookAttempt message.
      nullable: true
      properties:
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Attempt
      type: object
      x-speakeasy-name-override: TaskAuditWebhookAttempt
    c1.api.task.v1.TaskAuditWebhookSuccess:
      description: The TaskAuditWebhookSuccess message.
      nullable: true
      properties:
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Success
      type: object
      x-speakeasy-name-override: TaskAuditWebhookSuccess
    c1.api.task.v1.TaskAuditWebhookTriggered:
      description: The TaskAuditWebhookTriggered message.
      nullable: true
      properties:
        webhookId:
          description: The webhookId field.
          readOnly: false
          type: string
        webhookInstanceId:
          description: The webhookInstanceId field.
          readOnly: false
          type: string
        webhookName:
          description: The webhookName field.
          readOnly: false
          type: string
        webhookUrl:
          description: The webhookUrl field.
          readOnly: false
          type: string
      title: Task Audit Webhook Triggered
      type: object
      x-speakeasy-name-override: TaskAuditWebhookTriggered
    c1.api.policy.v1.ActionInstance:
      description: >
        The ActionInstance message.


        This message contains a oneof named target_instance. Only a single field
        of the following list may be set at a time:
          - automation
          - batonResourceActionInstance
          - clientIdApprovalInstance


        This message contains a oneof named outcome. Only a single field of the
        following list may be set at a time:
          - success
          - denied
          - error
          - cancelled
      nullable: true
      properties:
        action:
          $ref: '#/components/schemas/c1.api.policy.v1.Action'
        automation:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionTargetAutomationInstance'
        batonResourceActionInstance:
          $ref: >-
            #/components/schemas/c1.api.policy.v1.ActionTargetBatonResourceActionInstance
        cancelled:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeCancelled'
        clientIdApprovalInstance:
          $ref: >-
            #/components/schemas/c1.api.policy.v1.ActionTargetClientIdApprovalInstance
        denied:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeDenied'
        error:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeError'
        state:
          description: The current state of the action execution.
          enum:
            - ACTION_INSTANCE_STATE_UNSPECIFIED
            - ACTION_INSTANCE_STATE_INIT
            - ACTION_INSTANCE_STATE_RUNNING
            - ACTION_INSTANCE_STATE_DONE
            - ACTION_INSTANCE_STATE_ERROR
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        success:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionOutcomeSuccess'
      title: Action Instance
      type: object
      x-speakeasy-name-override: ActionInstance
    c1.api.app.v1.TaskAuditCancelledResult:
      description: The TaskAuditCancelledResult message.
      nullable: true
      properties:
        cancelReason:
          description: >-
            Human-readable reason the action was cancelled. Already populated on
            the
             model-side CanceledResult (e.g., "action is invalid - ticket is closed");
             this surfaces it to the UI.
          readOnly: false
          type: string
      title: Task Audit Cancelled Result
      type: object
      x-speakeasy-name-override: TaskAuditCancelledResult
    c1.api.app.v1.TaskAuditErrorResult:
      description: The TaskAuditErrorResult message.
      nullable: true
      properties:
        errorCount:
          description: 'TODO(pquerna): expand'
          format: int64
          readOnly: false
          type: string
        errorReason:
          description: The errorReason field.
          readOnly: false
          type: string
      title: Task Audit Error Result
      type: object
      x-speakeasy-name-override: TaskAuditErrorResult
    c1.api.app.v1.TaskAuditPendingResult:
      description: The TaskAuditPendingResult message.
      nullable: true
      properties:
        pendingReason:
          description: >-
            Human-readable explanation of why the action is pending. Rendered in
            the
             ticket audit log so admins can see what the action is waiting on (e.g.,
             "GitHub org invite sent. User must accept the invitation before team
             membership can be granted."). Naming mirrors TaskAuditErrorResult.error_reason
             and TaskAuditCancelledResult.cancel_reason for consistency.
          readOnly: false
          type: string
      title: Task Audit Pending Result
      type: object
      x-speakeasy-name-override: TaskAuditPendingResult
    c1.api.app.v1.TaskAuditSuccessResult:
      description: The TaskAuditSuccessResult message.
      nullable: true
      properties:
        annotations:
          description: The annotations field.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            readOnly: false
            type: object
          nullable: true
          readOnly: false
          type: array
        successReason:
          description: >-
            Optional human-readable note about the successful action. Rendered
            in
             the ticket audit log when present (e.g., "Account already existed; no
             change made." for the AlreadyExistsResult path). Naming mirrors
             TaskAuditErrorResult.error_reason and TaskAuditCancelledResult.cancel_reason
             for consistency.
          readOnly: false
          type: string
      title: Task Audit Success Result
      type: object
      x-speakeasy-name-override: TaskAuditSuccessResult
    c1.api.task.v1.TaskAction:
      description: Represents a single action that was performed on a task.
      properties:
        actionType:
          description: The type of action that was performed.
          enum:
            - TASK_ACTION_TYPE_UNSPECIFIED
            - TASK_ACTION_TYPE_CLOSE
            - TASK_ACTION_TYPE_APPROVE
            - TASK_ACTION_TYPE_DENY
            - TASK_ACTION_TYPE_COMMENT
            - TASK_ACTION_TYPE_DELETE
            - TASK_ACTION_TYPE_REASSIGN
            - TASK_ACTION_TYPE_RESTART
            - TASK_ACTION_TYPE_SEND_REMINDER
            - TASK_ACTION_TYPE_PROVISION_COMPLETE
            - TASK_ACTION_TYPE_PROVISION_CANCELLED
            - TASK_ACTION_TYPE_PROVISION_ERRORED
            - TASK_ACTION_TYPE_ROLLBACK_SKIPPED
            - TASK_ACTION_TYPE_PROVISION_APP_USER_TARGET_CREATED
            - TASK_ACTION_TYPE_HARD_RESET
            - TASK_ACTION_TYPE_ESCALATE_TO_EMERGENCY_ACCESS
            - TASK_ACTION_TYPE_CHANGE_POLICY
            - TASK_ACTION_TYPE_RECALCULATE_DENIAL_FROM_BASE_POLICY_DECISIONS
            - TASK_ACTION_TYPE_SET_INSIGHTS_AND_RECOMMENDATION
            - TASK_ACTION_TYPE_SET_ANALYSIS_ID
            - TASK_ACTION_TYPE_RECALCULATE_APPROVERS_LIST
            - TASK_ACTION_TYPE_PROCESS_NOW
            - TASK_ACTION_TYPE_APPROVE_WITH_STEP_UP
            - TASK_ACTION_TYPE_SKIP_STEP
            - TASK_ACTION_TYPE_ROLLBACK_CANCELLED
            - TASK_ACTION_TYPE_UPDATE_REQUEST_DATA
            - TASK_ACTION_TYPE_UPDATE_GRANT_DURATION
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        bulkActionId:
          description: >-
            The ID of the bulk action this action belongs to, if it was part of
            a bulk operation.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        id:
          description: The unique ID of this action.
          readOnly: false
          type: string
        policyStepId:
          description: The ID of the policy step this action was performed on.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: The ID of the user who performed the action.
          readOnly: false
          type: string
      title: Task Action
      type: object
      x-speakeasy-name-override: SubmittedTaskAction
    c1.api.policy.v1.ApprovalInstance:
      description: >
        The approval instance object describes the way a policy step should be
        approved as well as its outcomes and state.


        This message contains a oneof named outcome. Only a single field of the
        following list may be set at a time:
          - approved
          - denied
          - reassigned
          - restarted
          - reassignedByError
          - skipped
      nullable: true
      properties:
        approval:
          $ref: '#/components/schemas/c1.api.policy.v1.Approval'
        approved:
          $ref: '#/components/schemas/c1.api.policy.v1.ApprovedAction'
        assignedAt:
          format: date-time
          readOnly: true
          type: string
        denied:
          $ref: '#/components/schemas/c1.api.policy.v1.DeniedAction'
        escalationInstance:
          $ref: '#/components/schemas/c1.api.policy.v1.EscalationInstance'
        reassigned:
          $ref: '#/components/schemas/c1.api.policy.v1.ReassignedAction'
        reassignedByError:
          $ref: '#/components/schemas/c1.api.policy.v1.ReassignedByErrorAction'
        restarted:
          $ref: '#/components/schemas/c1.api.policy.v1.RestartAction'
        skipped:
          $ref: '#/components/schemas/c1.api.policy.v1.SkippedAction'
        state:
          description: The state of the approval instance
          enum:
            - APPROVAL_INSTANCE_STATE_UNSPECIFIED
            - APPROVAL_INSTANCE_STATE_INIT
            - APPROVAL_INSTANCE_STATE_SENDING_NOTIFICATIONS
            - APPROVAL_INSTANCE_STATE_WAITING
            - APPROVAL_INSTANCE_STATE_DONE
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
      title: Approval Instance
      type: object
      x-speakeasy-name-override: ApprovalInstance
    c1.api.user.v1.User:
      description: >-
        The User object provides all of the details for an user, as well as some
        configuration.
      properties:
        createdAt:
          format: date-time
          readOnly: true
          type: string
        delegatedUserId:
          description: >-
            The id of the user to whom tasks will be automatically reassigned
            to.
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: true
          type: string
        department:
          description: The department which the user belongs to in the organization.
          readOnly: true
          type: string
        departmentSources:
          description: >-
            A list of objects mapped based on department attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        directoryIds:
          description: A list of unique ids that represent different directories.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        directoryStatus:
          description: The status of the user in the directory.
          enum:
            - UNKNOWN
            - ENABLED
            - DISABLED
            - DELETED
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        directoryStatusSources:
          description: >-
            A list of objects mapped based on directoryStatus attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        displayName:
          description: The display name of the user.
          readOnly: true
          type: string
        email:
          description: This is the user's email.
          readOnly: true
          type: string
        emailSources:
          description: A list of source data for the email attribute.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        emails:
          description: This is a list of all of the user's emails from app users.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        employeeIdSources:
          description: A list of source data for the employee IDs attribute.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        employeeIds:
          description: This is a list of all of the user's employee IDs from app users.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        employmentStatus:
          description: The users employment status.
          readOnly: true
          type: string
        employmentStatusSources:
          description: >-
            A list of objects mapped based on employmentStatus attribute
            mappings configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        employmentType:
          description: The employment type of the user.
          readOnly: true
          type: string
        employmentTypeSources:
          description: >-
            A list of objects mapped based on employmentType attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        id:
          description: A unique identifier of the user.
          readOnly: true
          type: string
        jobTitle:
          description: The job title of the user.
          readOnly: true
          type: string
        jobTitleSources:
          description: >-
            A list of objects mapped based on jobTitle attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        managerIds:
          description: A list of ids of the user's managers.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        managerSources:
          description: >-
            A list of objects mapped based on managerId attribute mappings
            configured in the system.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        origin:
          description: The origin of the user, describing who owns the user's lifecycle.
          enum:
            - USER_ORIGIN_UNSPECIFIED
            - USER_ORIGIN_DIRECTORY
            - USER_ORIGIN_LOCAL
            - USER_ORIGIN_SYSTEM
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        profile:
          additionalProperties: true
          readOnly: true
          type: object
        roleIds:
          description: >-
            A list of unique identifiers that maps to ConductorOne's user roles
            let you assign users permissions tailored to the work they do in the
            software.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        status:
          description: The status of the user in the system.
          enum:
            - UNKNOWN
            - ENABLED
            - DISABLED
            - DELETED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        type:
          description: The type of the user.
          enum:
            - USER_TYPE_UNSPECIFIED
            - USER_TYPE_SYSTEM
            - USER_TYPE_HUMAN
            - USER_TYPE_SERVICE
            - USER_TYPE_AGENT
          readOnly: true
          type: string
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          readOnly: true
          type: string
        username:
          description: >-
            This is the user's primary username. Typically sourced from the
            primary directory.
          readOnly: true
          type: string
        usernameSources:
          description: A list of source data for the usernames attribute.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingSource'
          nullable: true
          readOnly: true
          type: array
        usernames:
          description: This is a list of all of the user's usernames from app users.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
      title: User
      type: object
      x-speakeasy-name-override: User
    c1.api.policy.v1.Action:
      description: >
        The Action message.


        This message contains a oneof named target. Only a single field of the
        following list may be set at a time:
          - automation
          - batonResourceAction
          - clientIdApproval
      nullable: true
      properties:
        automation:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionTargetAutomation'
        batonResourceAction:
          $ref: >-
            #/components/schemas/c1.api.policy.v1.ActionTargetBatonResourceAction
        clientIdApproval:
          $ref: '#/components/schemas/c1.api.policy.v1.ActionTargetClientIdApproval'
      title: Action
      type: object
      x-speakeasy-name-override: Action
    c1.api.policy.v1.ActionTargetAutomationInstance:
      description: The ActionTargetAutomationInstance message.
      nullable: true
      properties:
        automationExecutionId:
          description: The automationExecutionId field.
          readOnly: false
          type: string
      title: Action Target Automation Instance
      type: object
      x-speakeasy-name-override: ActionTargetAutomationInstance
    c1.api.policy.v1.ActionTargetBatonResourceActionInstance:
      description: The ActionTargetBatonResourceActionInstance message.
      nullable: true
      properties:
        batonActionInvocationId:
          description: The batonActionInvocationId field.
          readOnly: false
          type: string
      title: Action Target Baton Resource Action Instance
      type: object
      x-speakeasy-name-override: ActionTargetBatonResourceActionInstance
    c1.api.policy.v1.ActionOutcomeCancelled:
      description: The ActionOutcomeCancelled message.
      nullable: true
      properties:
        outcomeTime:
          format: date-time
          readOnly: false
          type: string
      title: Action Outcome Cancelled
      type: object
      x-speakeasy-name-override: ActionOutcomeCancelled
    c1.api.policy.v1.ActionTargetClientIdApprovalInstance:
      description: |-
        ActionTargetClientIdApprovalInstance carries the registration key of the
         external OAuth client that is being reviewed.
      nullable: true
      properties:
        clientIdUrl:
          description: The clientIdUrl field.
          readOnly: false
          type: string
      title: Action Target Client Id Approval Instance
      type: object
      x-speakeasy-name-override: ActionTargetClientIdApprovalInstance
    c1.api.policy.v1.ActionOutcomeDenied:
      description: The ActionOutcomeDenied message.
      nullable: true
      properties:
        outcomeTime:
          format: date-time
          readOnly: false
          type: string
      title: Action Outcome Denied
      type: object
      x-speakeasy-name-override: ActionOutcomeDenied
    c1.api.policy.v1.ActionOutcomeError:
      description: The ActionOutcomeError message.
      nullable: true
      properties:
        errorCode:
          description: The errorCode field.
          readOnly: false
          type: string
        errorMessage:
          description: The errorMessage field.
          readOnly: false
          type: string
        outcomeTime:
          format: date-time
          readOnly: false
          type: string
      title: Action Outcome Error
      type: object
      x-speakeasy-name-override: ActionOutcomeError
    c1.api.policy.v1.ActionOutcomeSuccess:
      description: The ActionOutcomeSuccess message.
      nullable: true
      properties:
        outcomeTime:
          format: date-time
          readOnly: false
          type: string
      title: Action Outcome Success
      type: object
      x-speakeasy-name-override: ActionOutcomeSuccess
    c1.api.policy.v1.Approval:
      description: >
        The Approval message.


        This message contains a oneof named typ. Only a single field of the
        following list may be set at a time:
          - users
          - manager
          - appOwners
          - group
          - self
          - entitlementOwners
          - expression
          - webhook
          - resourceOwners
          - agent
      nullable: true
      properties:
        agent:
          $ref: '#/components/schemas/c1.api.policy.v1.AgentApproval'
        allowDelegation:
          description: Whether ticket delegation is allowed for this step.
          readOnly: false
          type: boolean
        allowReassignment:
          description: Configuration to allow reassignment by reviewers during this step.
          readOnly: false
          type: boolean
        allowedReassignees:
          description: List of users for whom this step can be reassigned.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        appOwners:
          $ref: '#/components/schemas/c1.api.policy.v1.AppOwnerApproval'
        assigned:
          description: A field indicating whether this step is assigned.
          readOnly: true
          type: boolean
        entitlementOwners:
          $ref: '#/components/schemas/c1.api.policy.v1.EntitlementOwnerApproval'
        escalation:
          $ref: '#/components/schemas/c1.api.policy.v1.Escalation'
        escalationEnabled:
          description: Whether escalation is enabled for this step.
          readOnly: false
          type: boolean
        expression:
          $ref: '#/components/schemas/c1.api.policy.v1.ExpressionApproval'
        group:
          $ref: '#/components/schemas/c1.api.policy.v1.AppGroupApproval'
        manager:
          $ref: '#/components/schemas/c1.api.policy.v1.ManagerApproval'
        requireApprovalReason:
          description: Configuration to require a reason when approving this step.
          readOnly: false
          type: boolean
        requireDenialReason:
          description: Configuration to require a reason when denying this step.
          readOnly: false
          type: boolean
        requireReassignmentReason:
          description: Configuration to require a reason when reassigning this step.
          readOnly: false
          type: boolean
        requiresStepUpProviderId:
          description: >-
            The ID of a step-up authentication provider that will be required
            for approvals on this step.
             If set, approvers must complete the step-up authentication flow before they can approve.
          readOnly: false
          type: string
        resourceOwners:
          $ref: '#/components/schemas/c1.api.policy.v1.ResourceOwnerApproval'
        self:
          $ref: '#/components/schemas/c1.api.policy.v1.SelfApproval'
        users:
          $ref: '#/components/schemas/c1.api.policy.v1.UserApproval'
        webhook:
          $ref: '#/components/schemas/c1.api.policy.v1.WebhookApproval'
      title: Approval
      type: object
      x-speakeasy-name-override: Approval
    c1.api.policy.v1.ApprovedAction:
      description: >-
        The approved action indicates that the approvalinstance had an outcome
        of approved.
      nullable: true
      properties:
        approvedAt:
          format: date-time
          readOnly: true
          type: string
        entitlements:
          description: >-
            The entitlements that were approved. This will only ever be a list
            of one entitlement.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          nullable: true
          readOnly: true
          type: array
        stepUpTransactionId:
          description: >-
            The ID of the step-up transaction that was used for this approval,
            if step-up was required.
          readOnly: true
          type: string
        userId:
          description: The UserID that approved this step.
          readOnly: true
          type: string
      title: Approved Action
      type: object
      x-speakeasy-name-override: ApprovedAction
    c1.api.policy.v1.DeniedAction:
      description: >-
        The denied action indicates that the c1.api.policy.v1.ApprovalInstance
        had an outcome of denied.
      nullable: true
      properties:
        deniedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: The UserID that denied this step.
          readOnly: true
          type: string
      title: Denied Action
      type: object
      x-speakeasy-name-override: DeniedAction
    c1.api.policy.v1.EscalationInstance:
      description: >
        The EscalationInstance message.


        This message contains a oneof named escalation_policy. Only a single
        field of the following list may be set at a time:
          - replacePolicy
          - reassignToApprovers
          - cancelTicket
          - skipStep
      properties:
        alreadyEscalated:
          description: The alreadyEscalated field.
          readOnly: false
          type: boolean
        cancelTicket:
          $ref: >-
            #/components/schemas/c1.api.policy.v1.EscalationInstance.CancelTicket
        escalationComment:
          description: The escalationComment field.
          readOnly: false
          type: string
        expiresAt:
          format: date-time
          readOnly: false
          type: string
        reassignToApprovers:
          $ref: >-
            #/components/schemas/c1.api.policy.v1.EscalationInstance.ReassignToApprovers
        replacePolicy:
          $ref: >-
            #/components/schemas/c1.api.policy.v1.EscalationInstance.ReplacePolicy
        skipStep:
          $ref: '#/components/schemas/c1.api.policy.v1.EscalationInstance.SkipStep'
      title: Escalation Instance
      type: object
      x-speakeasy-name-override: EscalationInstance
    c1.api.policy.v1.ReassignedAction:
      description: >-
        The ReassignedAction object describes the outcome of a policy step that
        has been reassigned.
      nullable: true
      properties:
        newPolicyStepId:
          description: >-
            The ID of the policy step that was created as a result of this
            reassignment.
          readOnly: true
          type: string
        reassignedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: The UserID of the person who reassigned this step.
          readOnly: true
          type: string
      title: Reassigned Action
      type: object
      x-speakeasy-name-override: ReassignedAction
    c1.api.policy.v1.ReassignedByErrorAction:
      description: >-
        The ReassignedByErrorAction object describes the outcome of a policy
        step that has been reassigned because it had an error provisioning.
      nullable: true
      properties:
        description:
          description: >-
            The description of the error with more details on why this was
            reassigned.
          readOnly: true
          type: string
        errorCode:
          description: >-
            Additional information about the error, like http status codes or
            error messages from SDKs.
          readOnly: true
          type: string
        errorUserId:
          description: >-
            The UserID of the user who reassigned this due to an error. This
            will exclusively be the System's UserID.
          readOnly: true
          type: string
        erroredAt:
          format: date-time
          readOnly: true
          type: string
        newPolicyStepId:
          description: The ID of the policy step that was created by this reassignment.
          readOnly: true
          type: string
        reassignedAt:
          format: date-time
          readOnly: true
          type: string
      title: Reassigned By Error Action
      type: object
      x-speakeasy-name-override: ReassignedByErrorAction
    c1.api.policy.v1.RestartAction:
      description: >-
        The restart action describes the outcome of policy steps for when the
        task was restarted. This can be applied to multiple steps since restart
        skips all pending next steps.
      nullable: true
      properties:
        oldPolicyStepId:
          description: >-
            The step ID that was restarted. Potentially multiple "history" steps
            will reference this ID to indicate by what step they were restarted.
          readOnly: true
          type: string
        restartedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: The user that submitted the restart action.
          readOnly: true
          type: string
      title: Restart Action
      type: object
      x-speakeasy-name-override: RestartAction
    c1.api.policy.v1.SkippedAction:
      description: >-
        The SkippedAction object describes the outcome of a policy step that has
        been skipped.
      nullable: true
      properties:
        newPolicyStepId:
          description: >-
            The ID of the policy step that was created as a result of this
            skipping.
          readOnly: true
          type: string
        skippedAt:
          format: date-time
          readOnly: true
          type: string
        userId:
          description: The UserID of the user who skipped this step.
          readOnly: true
          type: string
      title: Skipped Action
      type: object
      x-speakeasy-name-override: SkippedAction
    c1.api.user.v1.UserAttributeMappingSource:
      description: The UserAttributeMappingSource message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        appUserId:
          description: The appUserId field.
          readOnly: false
          type: string
        appUserProfileAttributeKey:
          description: The appUserProfileAttributeKey field.
          readOnly: false
          type: string
        userAttributeMappingId:
          description: The userAttributeMappingId field.
          readOnly: false
          type: string
        value:
          description: The value field.
          readOnly: false
          type: string
      title: User Attribute Mapping Source
      type: object
      x-speakeasy-name-override: UserAttributeMappingSource
    c1.api.policy.v1.ActionTargetAutomation:
      description: ActionTargetAutomation targets automation templates for policy actions.
      nullable: true
      properties:
        automationTemplateId:
          description: The automationTemplateId field.
          readOnly: false
          type: string
      title: Action Target Automation
      type: object
      x-speakeasy-name-override: ActionTargetAutomation
    c1.api.policy.v1.ActionTargetBatonResourceAction:
      description: ActionTargetResource targets resource actions for policy actions.
      nullable: true
      properties:
        batonResourceActionId:
          description: The batonResourceActionId field.
          readOnly: false
          type: string
      title: Action Target Baton Resource Action
      type: object
      x-speakeasy-name-override: ActionTargetBatonResourceAction
    c1.api.policy.v1.ActionTargetClientIdApproval:
      description: |-
        ActionTargetClientIdApproval targets administrator review of an external
         OAuth client registration (CIMD or DCR) for policy actions.
      nullable: true
      title: Action Target Client Id Approval
      type: object
      x-speakeasy-name-override: ActionTargetClientIdApproval
    c1.api.policy.v1.AgentApproval:
      description: The agent to assign the task to.
      nullable: true
      properties:
        agentFailureAction:
          description: >-
            The action to take if the agent fails to approve, deny, or reassign
            the task.
          enum:
            - APPROVAL_AGENT_FAILURE_ACTION_UNSPECIFIED
            - APPROVAL_AGENT_FAILURE_ACTION_REASSIGN_TO_USERS
            - APPROVAL_AGENT_FAILURE_ACTION_REASSIGN_TO_SUPER_ADMINS
            - APPROVAL_AGENT_FAILURE_ACTION_SKIP_POLICY_STEP
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        agentMode:
          description: >-
            The mode of the agent, full control, change policy only, or comment
            only.
          enum:
            - APPROVAL_AGENT_MODE_UNSPECIFIED
            - APPROVAL_AGENT_MODE_FULL_CONTROL
            - APPROVAL_AGENT_MODE_CHANGE_POLICY_ONLY
            - APPROVAL_AGENT_MODE_COMMENT_ONLY
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        agentUserId:
          description: The agent user ID to assign the task to.
          readOnly: false
          type: string
        instructions:
          description: Instructions for the agent.
          readOnly: false
          type: string
        policyIds:
          description: The allow list of policy IDs to re-route the task to.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        reassignToUserIds:
          description: >-
            The users to reassign the task to if the agent failure action is
            reassign to users.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Agent Approval
      type: object
      x-speakeasy-name-override: AgentApproval
    c1.api.policy.v1.AppOwnerApproval:
      description: >-
        App owner approval provides the configuration for an approval step when
        the app owner is the target.
      nullable: true
      properties:
        allowSelfApproval:
          description: >-
            Configuration that allows a user to self approve if they are an app
            owner during this approval step.
          readOnly: false
          type: boolean
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          readOnly: false
          type: boolean
      title: App Owner Approval
      type: object
      x-speakeasy-name-override: AppOwnerApproval
    c1.api.policy.v1.EntitlementOwnerApproval:
      description: >-
        The entitlement owner approval allows configuration of the approval step
        when the target approvers are the entitlement owners.
      nullable: true
      properties:
        allowSelfApproval:
          description: >-
            Configuration to allow self approval if the target user is an
            entitlement owner during this step.
          readOnly: false
          type: boolean
        fallback:
          description: >-
            Configuration to allow a fallback if the entitlement owner cannot be
            identified.
          readOnly: false
          type: boolean
        fallbackGroupIds:
          description: >-
            Configuration to specify which groups to fallback to if fallback is
            enabled and the entitlement owner cannot be identified.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          nullable: true
          readOnly: false
          type: array
        fallbackUserIds:
          description: >-
            Configuration to specific which users to fallback to if fallback is
            enabled and the entitlement owner cannot be identified.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        isGroupFallbackEnabled:
          description: Configuration to enable fallback for group fallback.
          readOnly: false
          type: boolean
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          readOnly: false
          type: boolean
      title: Entitlement Owner Approval
      type: object
      x-speakeasy-name-override: EntitlementOwnerApproval
    c1.api.policy.v1.Escalation:
      description: >
        The Escalation message.


        This message contains a oneof named escalation_policy. Only a single
        field of the following list may be set at a time:
          - replacePolicy
          - reassignToApprovers
          - cancelTicket
          - skipStep
      properties:
        cancelTicket:
          $ref: '#/components/schemas/c1.api.policy.v1.Escalation.CancelTicket'
        escalationComment:
          description: The escalationComment field.
          readOnly: false
          type: string
        expiration:
          description: The expiration field.
          format: int64
          readOnly: false
          type: string
        reassignToApprovers:
          $ref: '#/components/schemas/c1.api.policy.v1.Escalation.ReassignToApprovers'
        replacePolicy:
          $ref: '#/components/schemas/c1.api.policy.v1.Escalation.ReplacePolicy'
        skipStep:
          $ref: '#/components/schemas/c1.api.policy.v1.Escalation.SkipStep'
      title: Escalation
      type: object
      x-speakeasy-name-override: Escalation
    c1.api.policy.v1.ExpressionApproval:
      description: The ExpressionApproval message.
      nullable: true
      properties:
        allowSelfApproval:
          description: >-
            Configuration to allow self approval of if the user is specified and
            also the target of the ticket.
          readOnly: false
          type: boolean
        assignedUserIds:
          description: The assignedUserIds field.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        expressions:
          description: >-
            Array of dynamic expressions to determine the approvers.  The first
            expression to return a non-empty list of users will be used.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        fallback:
          description: >-
            Configuration to allow a fallback if the expression does not return
            a valid list of users.
          readOnly: false
          type: boolean
        fallbackGroupIds:
          description: >-
            Configuration to specify which groups to fallback to if fallback is
            enabled and the expression does not return a valid list of users.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          nullable: true
          readOnly: false
          type: array
        fallbackUserIds:
          description: >-
            Configuration to specific which users to fallback to if and the
            expression does not return a valid list of users.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        isGroupFallbackEnabled:
          description: Configuration to enable fallback for group fallback.
          readOnly: false
          type: boolean
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          readOnly: false
          type: boolean
      title: Expression Approval
      type: object
      x-speakeasy-name-override: ExpressionApproval
    c1.api.policy.v1.AppGroupApproval:
      description: >-
        The AppGroupApproval object provides the configuration for setting a
        group as the approvers of an approval policy step.
      nullable: true
      properties:
        allowSelfApproval:
          description: >-
            Configuration to allow self approval if the target user is a member
            of the group during this step.
          readOnly: false
          type: boolean
        appGroupId:
          description: The ID of the group specified for approval.
          readOnly: false
          type: string
        appId:
          description: The ID of the app that contains the group specified for approval.
          readOnly: false
          type: string
        fallback:
          description: Configuration to allow a fallback if the group is empty.
          readOnly: false
          type: boolean
        fallbackGroupIds:
          description: >-
            Configuration to specify which groups to fallback to if fallback is
            enabled and the group is empty.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          nullable: true
          readOnly: false
          type: array
        fallbackUserIds:
          description: >-
            Configuration to specific which users to fallback to if fallback is
            enabled and the group is empty.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        isGroupFallbackEnabled:
          description: Configuration to enable fallback for group fallback.
          readOnly: false
          type: boolean
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          readOnly: false
          type: boolean
      title: App Group Approval
      type: object
      x-speakeasy-name-override: AppGroupApproval
    c1.api.policy.v1.ManagerApproval:
      description: >-
        The manager approval object provides configuration options for approval
        when the target of the approval is the manager of the user in the task.
      nullable: true
      properties:
        allowSelfApproval:
          description: >-
            Configuration to allow self approval if the target user is their own
            manager. This may occur if a service account has an identity user
            and manager specified as the same person.
          readOnly: false
          type: boolean
        assignedUserIds:
          description: >-
            The array of users determined to be the manager during processing
            time.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        fallback:
          description: Configuration to allow a fallback if no manager is found.
          readOnly: false
          type: boolean
        fallbackGroupIds:
          description: >-
            Configuration to specify which groups to fallback to if fallback is
            enabled and no manager is found.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          nullable: true
          readOnly: false
          type: array
        fallbackUserIds:
          description: >-
            Configuration to specific which users to fallback to if fallback is
            enabled and no manager is found.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        isGroupFallbackEnabled:
          description: Configuration to enable fallback for group fallback.
          readOnly: false
          type: boolean
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          readOnly: false
          type: boolean
      title: Manager Approval
      type: object
      x-speakeasy-name-override: ManagerApproval
    c1.api.policy.v1.ResourceOwnerApproval:
      description: >-
        The resource owner approval allows configuration of the approval step
        when the target approvers are the resource owners.
      nullable: true
      properties:
        allowSelfApproval:
          description: >-
            Configuration to allow self approval if the target user is an
            resource owner during this step.
          readOnly: false
          type: boolean
        fallback:
          description: >-
            Configuration to allow a fallback if the resource owner cannot be
            identified.
          readOnly: false
          type: boolean
        fallbackGroupIds:
          description: >-
            Configuration to specify which groups to fallback to if fallback is
            enabled and the resource owner cannot be identified.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          nullable: true
          readOnly: false
          type: array
        fallbackUserIds:
          description: >-
            Configuration to specific which users to fallback to if fallback is
            enabled and the resource owner cannot be identified.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        isGroupFallbackEnabled:
          description: Configuration to enable fallback for group fallback.
          readOnly: false
          type: boolean
        requireDistinctApprovers:
          description: >-
            Configuration to require distinct approvers across approval steps of
            a rule.
          readOnly: false
          type: boolean
      title: Resource Owner Approval
      type: object
      x-speakeasy-name-override: ResourceOwnerApproval
    c1.api.policy.v1.SelfApproval:
      description: >-
        The self approval object describes the configuration of a policy step
        that needs to be approved by the target of the request.
      nullable: true
      properties:
        assignedUserIds:
          description: >-
            The array of users determined to be themselves during approval. This
            should only ever be one person, but is saved because it may change
            if the owner of an app user changes while the ticket is open.
          items:
            type: string
          nullable: true
          readOnly: true
          type: array
        fallback:
          description: >-
            Configuration to allow a fallback if the identity user of the target
            app user cannot be determined.
          readOnly: false
          type: boolean
        fallbackGroupIds:
          description: >-
            Configuration to specify which groups to fallback to if fallback is
            enabled and the identity user of the target app user cannot be
            determined.
          items:
            $ref: '#/components/schemas/c1.api.policy.v1.AppEntitlementReference'
          nullable: true
          readOnly: false
          type: array
        fallbackUserIds:
          description: >-
            Configuration to specific which users to fallback to if fallback is
[...]
